'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = setNativeProps;

var _host = require('./vdom/host');

var _host2 = _interopRequireDefault(_host);

var _findDOMNode = require('./findDOMNode');

var _findDOMNode2 = _interopRequireDefault(_findDOMNode);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var STYLE = 'style';
var CHILDREN = 'children';
var EVENT_PREFIX_REGEXP = /on[A-Z]/;

function setNativeProps(node, props, disableSetStyles) {
  node = (0, _findDOMNode2.default)(node);

  for (var prop in props) {
    var value = props[prop];
    if (prop === CHILDREN) {
      continue;
    }

    if (value != null) {
      if (prop === STYLE) {
        if (disableSetStyles) {
          continue;
        }
        _host2.default.driver.setStyles(node, value);
      } else if (EVENT_PREFIX_REGEXP.test(prop)) {
        var eventName = prop.slice(2).toLowerCase();
        _host2.default.driver.addEventListener(node, eventName, value);
      } else {
        _host2.default.driver.setAttribute(node, prop, value);
      }
    }
  }
}
module.exports = exports['default'];